<?php

namespace Drupal\formio\Plugin;

interface ActionPluginInterface {

  /**
   * Constructs the ActionPlugin.
   *
   * @param \Traversable $namespaces
   *   An object that implements \Traversable which contains the root paths
   *   keyed by the corresponding namespace to look for plugin implementations.
   * @param \DrupalCacheInterface $cache_backend
   *   Cache backend instance to use.
   */
  public function __construct(\Traversable $namespaces, \DrupalCacheInterface $cache_backend);

  /**
   * The action callback.
   */
  public static function action($id);

}
